#ifndef __ODEDEF_H__  //prevent multiple inclusion

#define __ODEDEF_H__

#define SAFTY 0.9
#define PGROW -0.2
#define PSHRNK -0.25
#define ERRCON 1.98e-4 // (5/SAFTY)^(1/PGROW)
#define MAXSTP 10000
#define TINY 1.0e-30

#define PrintConsole

enum status {OK,ERROR};

void rkck(double [], double [], int, double, double, double [], double [], void (*)(double, double[], double[], double[]), double[]);

status rkstep(double [], double [], int, double *, double, double, double [], double *, 
            double *, void (*)(double, double[], double[], double[]), double[]);

status ODESolve(double [], int, double, double, double, double, double,
         int *, int *, void (*)(double, double[], double[], double[]), double *, double **, 
         double, int *, int, double[]);

#endif // __ODEDEF_H__
